// Copyright 2012, University of Freiburg,
// Chair of Algorithms and Data Structures.
// Author: Hannah Bast <bast@informatik.uni-freiburg.de>.

import org.junit.Test;
import org.junit.Assert;
import java.util.ArrayList;
import java.util.Arrays;

/**
 * Test of Intersect class.
 */
public class IntersectTest {

  /**
   * Test of intersectV3 method.
   */
  @Test
  public void testIntersectV3() {
    int list1[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
    int list2[] = {5, 10};
    int[] result = Intersect.intersectV3(list1, list2);
    Assert.assertEquals("[5, 10]", Arrays.toString(result));
  }

  /**
   * Test of intersectV2 method.
   */
  @Test
  public void testIntersectV2() {
    int list1[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
    int list2[] = {5, 10};
    int[] result = Intersect.intersectV2(list1, list2);
    Assert.assertEquals("[5, 10]", Arrays.toString(result));
  }

  /**
   * Test of intersectV1 method.
   */
  @Test
  public void testIntersectV1() {
    int list1[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
    int list2[] = {5, 10};
    ArrayList<Integer> result = Intersect.intersectV1(list1, list2);
    Assert.assertEquals("[5, 10]", result.toString());
  }
}

